com.aspose.omr

## Class ProcessingPipeline

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<IProcessingAlgorithm>
      - - com.aspose.omr.ProcessingPipeline

- All Implemented Interfaces:
    IProcessingAlgorithm, Serializable, Cloneable, Iterable<IProcessingAlgorithm>, Collection<IProcessingAlgorithm>, List<IProcessingAlgorithm>, RandomAccess

      public class ProcessingPipeline
      extends ArrayList<IProcessingAlgorithm>
      implements IProcessingAlgorithm

  Represents an ordered chain of image processing algorithms.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessingPipeline()` Initializes a new instance of the `ProcessingPipeline` class.
    `ProcessingPipeline(List<IProcessingAlgorithm> algorithms)` Initializes a new instance of the `ProcessingPipeline` class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProcessingPipeline` | `getDefault()` Gets a default pipeline of image preprocessing algorithms
    `void` | `process(OmrImage image, Rectangle area)` Processes an image with a chain of image preprocessing algorithms.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

- - ### Constructor Detail

    - #### ProcessingPipeline

          public ProcessingPipeline()

      Initializes a new instance of the `ProcessingPipeline` class.

    - #### ProcessingPipeline

          public ProcessingPipeline(List<IProcessingAlgorithm> algorithms)

      Initializes a new instance of the `ProcessingPipeline` class.

      Parameters:
        `algorithms` - The ordered collection of algorithms.

  - ### Method Detail

    - #### getDefault

          public static ProcessingPipeline getDefault()

      Gets a default pipeline of image preprocessing algorithms

      Returns:
        the default pipeline

    - #### process

          public void process(OmrImage image,
                     Rectangle area)

      Processes an image with a chain of image preprocessing algorithms.

      Specified by:
        `process` in interface `IProcessingAlgorithm`
      Parameters:
        `image` - An image to process.
        `area` - Area of image to be processed.

Copyright © 2014. All rights reserved.